function p = proba_class(c,x)
%CLASSIF Classify the data
% 

if getnbcl(c)>2    
    [n,d]=size(x);
    [ClassRate, DecisionValue,nul,cl] = SVMTest(x',ones(1,size(x,1)), c.alpha, c.sv, c.bias,c.parameters);
    cl = cl';
    K=c.K;
    p = zeros(n,K);
    p(sub2ind([n,K],(1:n)',cl)) = 1;
else
    coeff = 1;
    [ClassRate, DecisionValue] = SVMTest(x',ones(1,size(x,1)), c.alpha, c.sv, c.bias,c.parameters);
    p = 1./(1+exp(-coeff*DecisionValue'));
    p=[p,1-p];
end