function c = learn(classifier,c,x,y,varargin)
%LEARN Learn the parameters of a cella array of classifier objects
% cl = learn(classifier,carray,x,y)
% learns all the classifiers in the cell array carray and returns them in a
% cellarray

if iscell(c)
   for i=1:length(c)
       c{i} = learn(c{i},x,y);
   end
else 
    c = learn(c,x,y);
end