function p = proba_class(c,x)
% PROBA_CLASS - Class affectation probabilities
% 
% p = proba_class(c,x)
%
% See also CLASSIF, CLASSIFIER, EVAL_ERR, SUPERVISED, STATLEARN

[n,d]=size(x);
cl = classif(c,x);
K=c.K;
p = zeros(n,K);
p(sub2ind([n,K],(1:n)',cl)) = 1;

