function cl = classif(c,x)
%CLASSIF Classify the data according to the nearest neighbors
% 
% 

K = getnbcl(c);
[n,d]=size(x);


%m=clustermeans(c.x,c.cl)';
%sigma = cov(c.x-m(:,c.cl)')+1e-15*eye(d);

%R = chol(inv(sigma))';
%c.x=c.x*R;
%x=x*R;

distmat = dist2(c.x,x);

[sortdist,ind]=sort(distmat);

nrstind = ind(1:c.nbn,:);

if c.nbn==1
    cl = c.cl(nrstind);
else
    nrstcl = c.cl(nrstind);
    hst = histc(nrstcl,1:K);
    [nb,cl] = max(hst',[],2);
end


