function st = display(c)
%DISPLAY show informations of the density
%
% display(c) displays the informations on the standard output
%  
% st = display(c) does not display but returns the information 
% string in st
%
%See also DENSITY/DISPLAY

st='balldens density:\n';
st=[st 'm''  = ' mat2str(c.m',3) '\n'];
st=[st 'var = ' num2str(1./c.nu.^2) '*Id'];

if nargout<1
    disp(sprintf([st '\n']));
end
    