function c=density(d);
% DENSITY - Abstract object defining a multidimensional distribution.
%
% c = DENSITY creates a empty density object. This generally not used since 
% density is an abstract object. 
%
% See also 
%   - GAUSSDENS, BALLDENS, DIAGDENS, PCADENS, MIXTDENS
%   - STATLEARN, UNSUPERVISED

if nargin<1
    d=[];
end

c = class(struct('d',d),'density');

