function [np,npothers] = n_params(c,parname);
%N_PARAMS Total number of free parameters of a distribution
%
% np = n_params(c);
%   c is an object of class density
%   Gives the number of free parameters of the density
%
% [np,npothers] = n_params(c,parname); 
% return the number of parameters of the specified parameter in parname
%
% See also DENSITY/LOGLIK, DENSITY/GETDIM, DENSITY, N_PARAMS_CELL


if nargin<=1
np = length(getparams(c));
else
[p1,p2] = getparams(c,paprname);
np = length(p1);
npothers = length(p2)
end