function st = display(c)
% DISPLAY - Show informations of the fixeddens density
%
% DISPLAY(c) displays the informations on the standard output
%  
% st = DISPLAY(c) does not display but returns the information 
% string in st
%
% See also DENSITY/DISPLAY, FIXEDDENS,
%   UNSUPERVISED, STATLEARN

st=['fixeddens density: ' display(c.inc_dens)];

if nargout<1
    disp(sprintf([st '\n']));
end
    