function val = get(c,parname)
%GET show informations of the gaussian density
%
% v = GET(c,parname) returns the value of the parameter parname
% This method overload the method GET of DENSITY to hide the indR parameter
% only used to manage the covariance matrix indices.
% 
%See also GAUSSDENS/STATS, GAUSSDENS/SET
% DENSITY, STATLEARN, UNSUPERVISED

s=struct(c);

if nargin<2
    val = fieldnames(s);
    val=val(1:end-2);
else
    val = getfield(s,parname);
end
