function  [params,others] = getparams(c,paramsname)
%GETPARAMS gets the vector of parameters for the density
%
% params = getparams(c) first give mean parameters (1 per dimension) and
% then the diagonal elements of the upper triangular matrix R. R is the
% cholesky decomposition of the inverse covariance matrix. The last
% elements of the vector params is the off-diagonal elements of R in the
% order provided by the command find(triu(ones(d),1))

params = [c.m;c.R(c.indR)];        
