function a = setdim(a,d)
%SETDIM Set the dimension of a gaussian distribution
%
% This function calls DENSITY/SETDIM and computes the indices of the
% diagonal elements of a triangular matrix (used is GAUSSDENS/SETPARAMS)
%
% See also DENSITY/SETDIM

a.density = setdim(a.density,d);
a.indR = trilind(d);
