function proba = clustervalue(c,x)
% CLUSTERVALUE Density value at each cluster
% proba = clustervalue(c,x)
% See also MIXTDENS

[n,d] = size(x);
K = length(c.densities);
proba = zeros(n,K);

for k=1:K
%    proba(:,) = c.p(k)*value(c.densities{k},x);
    proba(:,k) = c.p(k)*value(c.densities{k},x);
end
