function clsf = convert2classifier(c,index)

if nargin==1
    clsf = densitycl(c.densities,'p',c.p);
else
    nc = max(index);
    dens=cell(1,nc);
    s = zeros(1,nc);
    for i=1:nc
        ind=find(index==i);
        dens{i} = mixtdens(c.densities(ind),'p',c.p(ind)./sum(c.p(ind)));
        s(i) = sum(c.p(ind));
    end    
    clsf = densitycl(dens,'p',s/sum(s));
end
clsf = setdim(clsf,getdim(c));
