function b = getparams(a)
%GETPARAMS gets the vector of parameters for the density

p = a.p(:);
dens = a.densities;
if isempty(a.commonparams)
    b=[];
    for k=1:length(p)
        b = [b;getparams(dens{k})];
    end        
    if ~a.knownp
        b = [b;log(p(1:end-1)/p(end))];
    end
else
    [pi,pc] = getparamsfamily(dens{1},dens(2:end),a.commonparams);    
    if ~a.knownp
        b = [pi(:);pc(:);log(p(1:end-1)/p(end))];
    else
        b = [pi(:);pc(:)];
    end
end 
