function [m,v] = stats(c)
%STATS Mean and covariance matrix of the distribution
%
%See also DENSITY/STATS, STATLEARN

m = c.m;
d = getdim(c);
v = c.noise*eye(d) + (c.proj_mat.*(ones(d,1)*c.lambda(:)'))*c.proj_mat';
