function v=logvalue(c,x)
% LOGVALUE - Density value at some data points
%
% v=value(c,x)
%
% See also DENSITY/VALUE
%       SLICEDENS, UNSUPERVISED, STATLEARN

[n,d]=size(x);

xplus = x * c.proj_mat' + ones(n,1)*c.offset';

v = logvalue(c.inc_dens,xplus);

