function [m,v] = stats(c)
%STATS return mean and variance of the slicedens distribution

if ~isempty(c.inc_dens)
    [m0,v0]=stats(c.inc_dens);
    m = c.proj_mat' * (m0-c.offset);
    v = c.proj_mat' * v0 * c.proj_mat;
else
    m=[];v=[];
end

