function savelatex(fname,st)
%SAVELATEX save a string in a latex file
%
%   savelatex(fname,st) save the string st in the file fname.tex
%
% See Also MAT2LATEX

fid = fopen([fname '.tex'],'w');
if fid<0 
    error(['Unable to open file ' fname '.tex'])
end
fprintf(fid,'\\documentclass{article}\n\n');
fprintf(fid,'\\begin{document}\n\n');
fwrite(fid,st,'char');
fprintf(fid,'\n\\end{document}\n');
fclose(fid);