% PARAMETERS_MANAGEMENT - Load in the current workspace the parameters in "varargin"
%
% PARAMETERS_MANAGEMENT has no argument : this is simply a script to launch
% once the parameters are set to their default values.
% It checks if a parameter specified in "varargin" is present in the workspace. 
%   If it is the case, the case, then the next value in varargin is assigned to this parameter.
%
% See also EVAL


if ~isempty(varargin) & iscell(varargin{1}),varargin=varargin{1};end
for i=1:2:length(varargin)
    if ~isstr(varargin{i}) | ~exist(varargin{i},'var')
        error(['Invalid parameter ' varargin{i}]);
    end
    eval([varargin{i} '= varargin{i+1};']);
end
%%%
