function M = trivecteurs(M0)

[n,d] = size(M0);

subplot(211)
map = [((1:64)/64)' (1-(1:64)/64)' zeros(64,1)];
colormap(map);
if d>2
        image(M0);
else
        plot(M0(:,1),M0(:,2),'.-');
end

Y = pdist(M0);
Z = squareform(Y);
ind = 1:n;

for it=1:10000
    i = floor(rand*(n-2));
    j = floor(rand*(n-i-1))+i+2;
    g = 0;
    if i==0
        if j==n
            j = floor(rand*(n-2))+2;            
        end
        g = Z(ind(j),ind(j+1))-Z(ind(i+1),ind(j+1));
    elseif j<n
        g = Z(ind(i),ind(i+1))+Z(ind(j),ind(j+1))-Z(ind(i),ind(j))-Z(ind(i+1),ind(j+1));
    else
        g = Z(ind(i),ind(i+1))-Z(ind(i),ind(j));
    end
    if g>0
        ind = ind([1:i j:-1:(i+1) (j+1):end]);
    end
end

M0 = M0(ind,:);

subplot(212)
if d>2
        image(M0);
else
        plot(M0(:,1),M0(:,2),'.-');
end
    