function h = drawrects(R,col)

n = size(R,1);
if nargin<2
    col = 1;
end

if length(col)~=n
    col = col(1)*ones(n,1);
end
vert = [[R(:,1),R(:,2),ones(n,1)];...
        [R(:,1)+R(:,3),R(:,2),ones(n,1)];...
        [R(:,1)+R(:,3),R(:,2)+R(:,4),ones(n,1)];...
        [R(:,1),R(:,2)+R(:,4),ones(n,1)]];    
    fac = ones(n,1)*((0:3)*n) + (1:n)'*ones(1,4);
    
    tcolor = repmat(cmap(col),4,1);
    h = patch('Faces',fac,'Vertices',vert,'FaceVertexCData',tcolor,...
        'FaceColor','none','EdgeColor','flat');
if nargout<1
    clear h
end