function m = marker(i)
%MARKER returns different markers used in plotting functions
%m=marker(i)
%	Gives a specific marker for each value i
%	used in various display functions to differentiate the classes
%	class 1 : 'o'
%	class 2 : 'x'
%	class 3 : '+'
%	class 4 : '*'
%	class 5 : 's'
%	class 6 : 'd'
%	class 7 : 'v'
%	class 8 : '^'
%	class 9 : 'p'
%	class 10: 'h'
%	else    : '.'

switch i
case 1, 	m = '.';
case 2,	    m = 'x';
case 3, 	m = '+';
case 4,	    m = '*';
case 5, 	m = 's';
case 6,	    m = 'd';
case 7, 	m = 'v';
case 8,	    m = '^';
case 9, 	m = 'h';
case 10,	m = 'p';
otherwise m = 'o';
end

   