function tbxStruct=Demos
% DEMOS    Demo List information for Discrim Toolbox
%
%   Copyright 2003 Guillaume Bouchard

if nargout==0, demo toolbox; return; end

tbxStruct.Name='StatLearn';
tbxStruct.Type='toolbox';

tbxStruct.Help= {
   ' The Statistical Learning Toolbox has two parts:          '  
   ' - the UNSUPERVISED learning gives a simple way to handle '
   ' multivariate distributions: random generation,           '
   ' parameters estimation, drawing functions.    ' 
   ' - the SUPERVISED learning contains many supervised       '
   ' classification methods with useful functions such as     '
   ' error evaluation, drawing function.                  ' };
tbxStruct.DemoList={  
   'Multivariate Density','densitydemo',
   'Linear classifiers','linearcldemo',
   'Mixture Discriminant Analysis (MDA)','mdademo'   
};






