function res = n_params(carray);
%N_PARAMS_CELL Total number of free parameters of a cell array of distributions
%
% np = n_params(c)
%   c is an object of class density
%   Gives the number of free parameters of the density
%
% See also N_PARAMS, DENSITY/LOGLIK, DENSITY/GETDIM, DENSITY

nc = length(carray(:));
res=zeros(1,nc);
for i=1:nc
    res(i) = n_params(carray{i});
end
res = reshape(res,size(carray));