function ldademo
% LDADEMO - Linear Discriminant Analysis (Fisher Discriminants) demo
% LDADEMO shows the linear separation between to groups
%
% See also STATLEARN, DEMOSSTATLEARN

gen=densitycl({gaussdens('m',[-2;0],'var',[2 .5;.5 1]),...
    gaussdens('m',[2;0],'var',2*eye(2))});

[x,cl]=rand(gen,200);

clasf=learn(lda,x,cl);

show(clasf,x,cl);
