function c=learn(c,x,cl)
%LEARN learn the SVM classifier
%
% use the OSU SVM CLASSIFIER PACKAGE



switch(c.kernel_name)
    case 'rbf'
        [c.alpha, c.sv, c.bias, c.parameters, c.nsv, c.labels] = RbfSVC(x',cl',c.gamma,c.C);
    case 'linear'
        [c.alpha, c.sv, c.bias, c.parameters, c.nsv, c.labels] = LinearSVC(x',cl',c.C);
    case 'poly'
        [c.alpha, c.sv, c.bias, c.parameters, c.nsv, c.labels] = PolySVC(x',cl',c.degree,c.C,c.gamma,c.coeff);
    otherwise 
        error('invalid kernel');
end

c = setnbcl(c,length(c.labels));
c = setdim(c,size(x,2));