function val = get(c,parname)
% GET - Find informations of the classifier
%
% v = GET(c,parname) returns the value of the parameter parname
% 
%See also CLASSIFIER
%   STATLEARN, SUPERVISED

s=struct(c);

if nargin<2
    fn = fieldnames(s);
    n=length(fn)-1;
    val = cell(1,2*n);
    val(1:2:end)=fn(1:end-1);
    for i=1:n
        val{2*i} = getfield(s,fn{i});
    end
else
    val = getfield(s,parname);
end