function c=set(c,varargin)
%SET Set the parameters of a linear logistic regression object
%
% a = set(a,'param_name',V)
% set the parameter 'param_name' to te value V.
%
% a = set(a,'param_name',V,...)
% other parameter can be specified in paramnave/value pairs
%
%See also CLASSIFIER, STATLEARN

dim=[];
nbcl=[];

%%% PARAMETERS MANAGEMENT
for i=1:2:length(varargin)
    if ~isstr(varargin{i}) | ~exist(varargin{i},'var')
        remaining_varargin=varargin(i:end);
        break
    end
    eval([varargin{i} '= varargin{i+1};']);
end
%%%

if ~isempty(dim)
    c.d=dim
end
if ~isempty(nbcl)
    c.K=nbcl
end

