function bic = bic_score(c,x,cl)
% BIC_SCORE - Bayesian Information Criterion
%
% See also BEC_SCORE, DENSITYCL/N_PARAMS
%    DENSITYCL, SUPERVISED, STATLEARN

bic = -1*loglik(c,x,cl) + log(size(x,1))*n_params(c);    
