function c=learn(c,x,cl)
%LEARN Set the training data of the KNN classifier
%
% c=learn(c,x,cl)
% c is a knn object
% x are the data points in a nxd matrix
% cl is a vector of labels

cl=cl-min(cl)+1;
K = max(cl);

[n,d]=size(x);
if length(cl)~=n
    error('Number of labels and number of data points do not correspond');
end
c=setdim(c,d);

c.x=x;
c.cl=cl;

c.classifier = setnbcl(c.classifier,K);
