function c=partialcl(negdens,posdens,varargin)
%PARTIALCL Classifier with one class unlabelled
%

if nargin<1
    negdens=gaussdens;
end
if nargin<2
    posdens=gaussdens;
end

s = struct([]);
c = class(s,'partialcl',densitycl);
c.densitycl = setdensities(c.densitycl,{mixtdens({posdens,negdens}),negdens});

if length(varargin)>0
    c=set(c,varargin);
end

