function cellar = components2cell(cl)
% COMPONENT2CELL - Transform labels into cell array of indices
% cl = components2cell(cl)
%
% if cl is not a cell array, return the cell array containing lists of indices corresponding to each groups

if ~iscell(cl)
	%set the label of the class starting from 1
	cl = cl-min(cl)+1; 
    K = max(cl);
	for k = 1:K
      cellar{k} = find(cl==k); %indices of the data from class k
   end
else
    cellar = cl;
end
