function c=dcmda(R)
% DCMDA - Mixture Discriminant Analysis densitycl object
% c=dcmda(R)
% R is a vector of interger values representing the numbner of clusters in each group
%
% See also MIXTDENS, GAUSSDENS, DENSITYCL, STATLEARN

if nargin<1
    R=[2,2];
end

K = length(R);
dens = cell(1,K);
for k=1:K
    dens{k}=mixtdens(gaussdens,R(k));
end

c=densitycl(dens,0,'commonparams','S');