function c=balldens(varargin)
% BALLDENS Gaussian density with spherical covariance matrix
%
%   c=ballDens
%   density is a object containing a probability density function 
% in a d dimensionnal space
%   c=BallDens('m',M), c=BallDens('var',V), c=BallDens('m',m,'var',V)
%   M : mean
%   V : variance of the density
%   

s = struct('m',[],'nu',[]);
c = class(s,'balldens',density);
if nargin>0
    c=set(c,varargin);
end