function c = EXPAND(c,s)
% EXPAND Modify the covariance of the distribution
%
% c = EXPAND(c,s) expand the covariance by a factor s^2 
% the mean is not affected
%
% See also GAUSSDENS/LINEARTRANSFORM, DENSITY/TRANSLATE, DENSITY/LINEARTRANSFORM, DENSITY, UNSUPERVISED, STATLEARN

c.nu = c.nu/s';
