function c = learn(c,x,w)

[n,d] =size(x);

if nargin<3 | isempty(w);
    w = ones(n,1)/n;
end

counts = sum(w,1)+eps;
c.m	= sum(x.*repmat(w,1,d),1)'/counts;
c.density = setdim(c.density,length(c.m));
xc  = x - repmat(c.m',n,1);      
c.nu	= 1/sqrt((sum(sum(repmat(w,1,d).*xc.^2,1))/counts/d)+eps);
%if c.nu>100*counts
%    disp('ballDens : small variance');
%end


