function a = setparams(a,val)
%SETPARAMS Sets the vector of parameters for the density
%
% The order in wich the parameters have to be set is the same as the
% 'getparams' function
%
%See also SETPARAMS

val = val(:);
d = length(a.m);
a.m = val(1:d);

a.nu = max(val(d+1),eps);
