function a = subsasgn(a,index,val)
%SUBSASGN Define field name assignement for the density
switch index.type
case '.'
    switch index.subs
    case 'm'
        a.m = val;
    case 'nu'
        a.nu = val;
    otherwise
        error('Invalid field name')
    end
case '()'
    error(['Index array indexing not supported by ' class(a) ' objects'])
case '{}'
    error(['Cell array indexing not supported by ' class(a) ' objects'])
end

