function b = subsref(a,index)
%SUBSREF Define field name refrence for object
switch index.type
case '.'
    switch index.subs
    case 'm'
        b = a.m;
    case 'nu'
        b = a.nu;
    otherwise
        error('Invalid field name')
    end
case '()'
    error(['Index array indexing not supported by ' class(a) ' objects'])
case '{}'
    error(['Cell array indexing not supported by ' class(a) ' objects'])
end
