function v=isovalue(c,quantiles)
%ISOVALUE Compute the isovalue of the density
% 
% v=isovalue(c,Q)
% where c is a density object computes the value of the density
% for wich the isocontour contains a proportion Q of the total mass.
% This function is useful to draw the isocontours or isosurfaces of 
% the density. 

n=min(1000,ceil(10./(1-min(quantiles))));

                val=sort(value(c,x));
                levels = val(ceil((1-quantiles)*n) (