function c = learn(classifier,c,x,w)
%LEARN Learn the parameters of a cell array of densities on data
% c = learn(classifier,carray,x)
% c = learn(classifier,carray,x,w)
% learns all the classifiers in the cell array carray and returns them in a
% cellarray c

[n,d]=size(x);

if nargin<4 | isempty(w)
    w=ones(n,1);
end

if iscell(c)
   for i=1:length(c)
       c{i} = learn(c{i},x,w);
   end
else 
    c = learn(c,x,y);
end