function [points,cova,sz]=specialpoints(c)
%SPECIALPOINTS return particular points of a density
%
% points=specialpoints(c)
% returns the mean
% [points,cova]=specialpoints(c)
% returns the mean and the covariance
% [points,cova,sz]=specialpoints(c)
% returns sz = 1 (relative iportance of this point).

[points,cova] = stats(c);
points = points';
sz = [];


