function c=translate(c,delta)
%TRANSLATE Translation of a distribution
%
% c=translate(c,T) performs a translation of the distribution in the 
% direction given by the vector T. For most of the distributions,
% this function only add T to the mean vector.
% 
% See also DENSITY/SCALE, DENSITY, UNSUPERVISED, STATLEARN

try
    m=get(c,'m');
    c=set(c,'m',m+delta(:));
catch
    error(['The density has no ''m'' parameter.'...
            'Please Create a method TRANSLATE for the class ''' class(c) ''''])     
end