function a = setparams(a,val)
%SETPARAMS Set the vector of parameters for the diagdens density object
%
% a = setparams(a,val)
% sets the parameters of the diagdens density
% The order in wich the parameters have to be set is the same as the
% 'getparams' function.
%
% See also DIAGDENS/GETPARAMS, STATLEARN, UNSUPERVISED, DENSITY/ML_LEARN

val = val(:);
d = length(val)/2;
a.m = val(1:d);
a.isd = val(d+1:end);
