function val = get(c,parname)
% GET - Find content of the fixeddens density
% The only parameter available is 'inc_dens' for the included density
%
% v = GET(c,'inc_dens') returns the value included density
% 
% See also FIXEDDENS, DENSITY/GET,
% DENSITY, STATLEARN, UNSUPERVISED

s=struct(c);

if nargin<2
    val = fieldnames(s);
    val=val(1:end-2);
else
    val = getfield(s,parname);
end
