function r=rand(c,n)
% RAND - Gives a random number generated according to the gaussian density
% R = RAND(c,n) return a nxd matrix of radom points generated according to
% the included distribution
%
% See also DENSITY/RAND, GAUSSDENS/RAND, DENSITY
%   UNSUPERVISED, STATLEARN

if nargin<2
    n=1;
end
r = rand(c.inc_dens,n);
