function c = set(c,varargin)
% SET - Set parameters of the fixeddens distribution
%
% a = set(a,'inc_dens',dens)
% set the included density to dens
%
% See also FIXEDDENS/GET, DENSITY/GET, DENSITY/SET

if strcmp(varargin{1},'inc_dens');
    c.inc_dens=varargin{2};
    c=setdim(c,getdim(c.inc_dens));
end
