function a = setparams(a,val,paramsname,otherval)
%SETPARAMS Sets the vector of parameters for the density
%
% a = setparams(a,val)
% set the parameters of the Gaussian density
% The order in wich the parameters have to be set is the same as the
% 'getparams' function
%
%See also GETPARAMS

val = val(:);
d = getdim(a.density);
a.m = val(1:d);
a.R(a.indR) = val(d+1:end)+1e-320;
