function proba = value(c,x)
%LEARN return the density values at some points


[n,d] = size(x);

xc  = (x - repmat(c.m',n,1));
xcc  = xc*c.R';

proba = exp(-d/2*log(2*pi) + sum(log(abs(diag(c.R)))) - ...
                .5*sum(xcc.^2,2));



