function proba = clusterlogvalue(c,x,varargin)
% CLUSTERLOGVALUE Density value at each cluster
% proba = clusterlogvalue(c,x)
% See also MIXTDENS

prop = 0;
PARAMETERS_MANAGEMENT

[n,d] = size(x);
K = length(c.densities);
proba = zeros(n,K);

for k=1:K
%    proba(:,) = c.p(k)*value(c.densities{k},x);
    proba(:,k) = logvalue(c.densities{k},x);
end

if prop
    proba = proba + (ones(n,1)*c.p);
end


