function st = display(c)

K = length(c.p);

st=['mixtdens density object (' num2str(K) ' clusters)\n'];
    
if ~isempty(c.commonparams)
    st=[st,'  constrained parameters: ' c.commonparams '\n'];
end

if c.knownp
    st=[st,'  proportions are known\n'];
end

for k=1:K
    st=[st,'  cluster ' num2str(k) ' (' num2str(c.p(k)*100,3) '%%): '];
    st=[st, strrep(display(c.densities{k}),'\n','\n    ')];
    if k<K
        st=[st '\n'];
    end
end

if nargout<1
    disp(sprintf([st '\n']));
end
