function [c,ord] = sortclusters(c,type)
% SORTCLUSTERS - Sort the clusters by means, proportions or variance

K=length(c.p);
crit = zeros(1,K);
if type=='var'
    for i=1:K
        [m,v]=stats(c.densities{i});
        crit(i) = trace(v);
    end
else
    error('not implemented');
end

[s,ord] = sort(crit);
c.densities = c.densities(ord);