function [points,cova,sz]=specialpoints(c)
%SPECIALPOINTS return particular points of a density
%
% points=specialpoints(c)
% return the mean

K = length(c.p);
d = getdim(c);

points=zeros(d,K);
cova=repmat(eye(d),[1,1,K]);
sz = c.p;

for k=1:K
   [points(:,k),cova(:,:,k)] = stats(c.densities{k});
end

points = points';



