%UNSUPERVIDED Part of STATLEARN toolbox containing unsupervised learning
%  
% Multidimensional distributions (densities) 
%   gaussdens   - Create a multivariate gaussian density,
%   diagdens    - Gaussian density with diagonal covariance matrix,
%   balldens    - Gaussian density with spherical covariance matrix,
%   pcadens     - Gaussian density with low dimensional covariance matrix,
%   mixtdens    - Create a mixture density,
%   density     - Abstract object representing the densities.
%  
% Parameter estimation
%   learn       - Find the parameters that maximize the likelihood on training data.
%   n_params    - Return the number of parameters.
%  
% Graphics
%   show	    - Draw density contours.
% 
