function s = readlines(fname)
% READLINES - Read the lines of a file and put them in a cell array
%
% CARRAY = READLINES(FNAME) reads the lines of file FNAME
%
% See also FOPEN, FEOF, FGET

s = {};
f = fopen(fname);
if f==-1
	error('invalid file name');
end
while ~feof(f)
	add = fgetl(f);
	s{end+1} = add;
end

