function showlatex(fname,direct)
%SHOWLATEX compile and show a latex file
%
%   showlatex(fname) execute te command latex fname.tex in the shell
%   then launch xdvi fname

if nargin>=2
    cd(direct)
end
eval(['!latex ' fname '.tex']);
if isunix
    eval(['!xdvi ' fname ' &']);
else 
    eval(['!yap ' fname ' &']);
end
if nargin>=2
    cd('..')
end

