function mat = mergecellarrays(C)
% MERGECELLARRAYS Cell array merging
%
% m = MERGECELLARRAYS(C)
%
% See also IMGENPATCHES, IMSHOWDESC
%   IMAGEFUNC


n=length(C);

sz = size(C{1});
d = prod(sz(1:end-1));
tot=0;
for i=1:n
    sz = size(C{i});
    tot = tot+sz(end);
end

mat = zeros(tot,d);
tot=0;
for i=1:n
    sz = size(C{i});
    ncur = sz(end);
    mat(tot+(1:ncur),:) = reshape(C{i},[d,ncur])';
    tot = tot+sz(end);
end

