function ind = triuind(d)
%TRIUIND gives indices of the upper elements of a square matrix
%
% ind = triuind(d) where d is the dimension
% return an array of indices
% for example, M(triuind(d)) =1 sets the upper triangular part of M to 1 where d
% is the dimension of M
% the first d indices correspond to the diagonals elements

ind = [find(eye(d));find(triu(ones(d),1))];


