function q=quantile(v,lev)
%QUANTILE compute the quantile values of a set of vectors
%
% q=quantile(v,lev)
% lev: proportion of the data (.05 by default)

if nargin<2
    lev=.05;
end

[n,d]=size(v);
v = sort(v);
q = v(ceil(n*lev),:);
