function s = dispinfodatacl(x,y)
%DISPINFODATACL Display size of the dataset, dimensionality and number of classes
%
% dispinfodatacl(x,y) display 
%       'sample of size nxd with K classes'
% where n in the number of rows of x
% d the number of columns
% K the number of classes
%
% st = dispinfodatacl(x,y) return the string without displaying

[n,d] = size(x);
K = max(y);

s = sprintf('sample of size %dx%d with %d classes',n,d,K);

if nargout<1
    disp(s)
end
    