function [name, ext] = remfnameext(string)
% REMFNAMEEXT Remove the file extension of a file name
%
% 
% [shortname, ext] = REMFNAMEEXT(fname)
%
%
% See also DETECTIMAGESINDIR, FILESEP, BASENAME


ext = [];
[name,direc] = basename(string); 

len = length(name);

if len == 0
    return
end

for i=1:len
    if string(i)=='.';
        ext = name(i+1:end);
        name = name(1:i-1); 
        break
    end
    i=i-1;    
end

name = [direc,name];