function color = cmap(i)

color = [0 0 1;...
   0		.9		0;...
   1 		0 		0;...
   0		1 		1;...
   .8 		0 		.8;...
   1 		1 	   0;...
   .5 	.5 	.5	;...
   1		.6		0;...
   .6 	0		1;...
   0		1		.7;...
   .5 	.5 	.5	;...
   1		.6		0;...
   .6 	0		1;...
   0		1		.7;...
   .1 	.6		.5;...
   .5 	.5 	.5	;...
   1		.6		0;...
   .6 	0		1;...
   0		1		.7;...
   .1 	.6		.5;...
   .5 	.5 	.5	;...
   1		.6		0;...
   .6 	0		1;...
   0		1		.7;...
   .1 	.6		.5;...
   .5 	.5 	.5	;...
   1		.6		0;...
   .6 	0		1;...
   0		1		.7;...
   .1 	.6		.5;...
   .5 	.5 	.5	;...
   1		.6		0;...
   .6 	0		1;...
   0		1		.7;...
   .1 	.6		.5;...
   .5 	.5 	.5	;...
   1		.6		0;...
   .6 	0		1;...
   0		1		.7;...
   .1 	.6		.5;...
   .5 	.5 	.5	;...
   1		.6		0;...
   ];
   
if nargin>=1
    i=i(:);
    col = zeros(length(i),3);
    indinf = find(i<=size(color,1));
    indsup = find(i>size(color,1));
    col(indinf,:) = color(i(indinf),:);
    if ~isempty(indsup)
        col(indsup,:) = mod(i(indsup)*[pi,sqrt(2),sqrt(3)],1);
    end
    color=col;
end

