function ax = subplotauto(n,i)

warning('use SUBPLOTSQ instead of SUBPLOTAUTO'); 
marg = .005;

nrow = floor(sqrt(n));
ncol = ceil(n/nrow);

dh = 1/ncol;
dv = 1/nrow;


[col,row] = ind2sub([ncol,nrow],i);
ax = axes('Position',[(col-1)*dh + marg 1-row*dv + marg dh-2*marg dv-2*marg],...
    'Box','on','TickLength',[0 0],'XTickLabel',[],'YTickLabel',[]);


hold on